# update rarian database
if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

# update mime database
if [ -x usr/bin/update-mime-database ]; then
  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
fi

# update desktop entries
if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

# update hicolor icons
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
	rm -f usr/share/icons/hicolor/icon-theme.cache
fi
usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null

# Restart gconfd-2 if running to reload new gconf settings
if ps acx | grep -q gconfd-2 ; then
        killall -HUP gconfd-2 ;
fi

( cd usr/lib64 ; rm -rf libkatepartinterfaces.so.4 )
( cd usr/lib64 ; ln -sf libkatepartinterfaces.so.4.14.3 libkatepartinterfaces.so.4 )
( cd usr/lib64 ; rm -rf libkateinterfaces.so.4 )
( cd usr/lib64 ; ln -sf libkateinterfaces.so.4.14.3 libkateinterfaces.so.4 )
( cd usr/lib64 ; rm -rf libkatepartinterfaces.so )
( cd usr/lib64 ; ln -sf libkatepartinterfaces.so.4 libkatepartinterfaces.so )
( cd usr/lib64 ; rm -rf libkateinterfaces.so )
( cd usr/lib64 ; ln -sf libkateinterfaces.so.4 libkateinterfaces.so )
( cd usr/share/doc/HTML/en/kate ; rm -rf common )
( cd usr/share/doc/HTML/en/kate ; ln -sf /usr/share/doc/HTML/en/common common )
( cd usr/share/doc/HTML/en/kwrite ; rm -rf common )
( cd usr/share/doc/HTML/en/kwrite ; ln -sf /usr/share/doc/HTML/en/common common )
